Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public abstract class

# DataBuffer

extends Object
implements Iterable<T>

java.lang.Object
↳ | com.google.android.gms.common.data.DataBuffer<T>

Known Direct Subclasses
AchievementBuffer, AppStateBuffer, FilteredDataBuffer<T>, GameBuffer, InvitationBuffer, LeaderboardBuffer, LeaderboardScoreBuffer, MetadataBuffer, MomentBuffer, ParticipantBuffer, PersonBuffer, PlayerBuffer, TurnBasedMatchBuffer

AchievementBuffer | Data structure providing access to a list of achievements.
AppStateBuffer | Data structure providing access to a list of app states.
FilteredDataBuffer<T> | Base class for filtered buffers of typed data.
GameBuffer | Data structure providing access to a list of games.
InvitationBuffer | `DataBuffer` implementation containing Invitation data.
LeaderboardBuffer | `DataBuffer` containing Leaderboard data.
LeaderboardScoreBuffer | `DataBuffer` containing LeaderboardScore data.
MetadataBuffer | A data buffer that points to Metadata entries.
MomentBuffer | Data structure providing access to a list of `Moment` objects.
ParticipantBuffer | `DataBuffer` implementation containing match participant data.
PersonBuffer | Data structure providing access to a list of `Person` objects.
PlayerBuffer | Data structure providing access to a list of players.
TurnBasedMatchBuffer | `DataBuffer` implementation containing TurnBasedMatch details.

## Class Overview

Base class for a buffer of typed data. A `DataBuffer` wraps data provided across the binder from Google Play services.

## Summary

Public Methods
void | close()
int | describeContents()
abstract T | get(int position) Get the item at the specified position.
int | getCount()
boolean | isClosed()
Iterator<T> | iterator()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface java.lang.Iterable

abstract Iterator<T> | iterator()

## Public Methods

#### public void close ()

#### public int describeContents ()

#### public abstract T get (int position)

Get the item at the specified position. Note that the objects returned from subsequent invocations of this method for the same position may not be identical objects, but will be equal in value. In other words:

`buffer.get(i) == buffer.get(i)` may return false.

`buffer.get(i).equals(buffer.get(i))` will return true.

##### Parameters

position | The position of the item to retrieve.

##### Returns

- the item at `position` in this buffer.

#### public int getCount ()

#### public boolean isClosed ()

#### public Iterator<T> iterator ()